<script setup>
import AlertSubList from "./AlertSubList.vue";
import AlertOutliersTable from "./AlertOutliersTable.vue";
import AlertNotifyTable from "./AlertNotifyTable.vue";
import { ref, provide, onMounted } from "vue";
import { getNoticeList } from "@/apis/alert";
const noticeList = ref([]);

const NoticeListData = async () => {
  const res = await getNoticeList();
  noticeList.value = res.data;
};

onMounted(() => {
  NoticeListData();
});

provide("notify_table", { noticeList });
</script>

<template>
  <h1 class="text-2xl font-extrabold mb-2">{{ $t("alert.setting_title") }}</h1>
  <div>
    <AlertSubList />
    <AlertOutliersTable />
    <AlertNotifyTable />
  </div>
</template>

<style lang="scss" scoped></style>
